Get all notifications Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/notifications

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[read] boolean

    Filter notifications by if they have been marked as read or not. leave blank to get both read and unread notifications

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      Notification UUID

    • created_at string

      Timestamp of when the notification was created

    • updated_at string

      Timestamp of when the notification was updated

    • read_at string

      Timestamp of when the notification was read

    • data object
      Hide data attributes Show data attributes object
      • title string
      • description string
      • model_uuid string
      • model_type string
    • type string

      type of notification sent

    • notifiable object

      the notifiable model to notification is attached to, in most cases an Account

      Hide notifiable attributes Show notifiable attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm string
      • primary_phone_number string
      • primary_email string
      • current_time_entry string
      • assigned_adviser string
      • assigned_administrator string
      • assigned_paraplanner string
      • introduced_by string
      • business_unit string
      • groups string
      • tags string
      • owners string
      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • terms_of_business_at string
      • client_agreement_at string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle string
      • circles string
      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields string
      • external_references string
    • triggered_by object

      the account that triggered this notification

      Hide triggered_by attributes Show triggered_by attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm string
      • primary_phone_number string
      • primary_email string
      • current_time_entry string
      • assigned_adviser string
      • assigned_administrator string
      • assigned_paraplanner string
      • introduced_by string
      • business_unit string
      • groups string
      • tags string
      • owners string
      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • terms_of_business_at string
      • client_agreement_at string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle string
      • circles string
      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields string
      • external_references string
GET /api/v1/notifications
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/notifications' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "uuid": "c3a8d20f-e84d-407e-9115-83e394c8ca99",
  "created_at": "2026-06-08T16:08:01+01:00",
  "updated_at": "2026-06-08T16:08:01+01:00",
  "read_at": "2026-06-08T16:08:01+01:00",
  "data": {
    "uuid": "de291fc3-9732-4d1b-a3a5-a729489b3010",
    "created_at": "2026-06-08T16:08:01+01:00",
    "updated_at": "2026-06-08T16:08:01+01:00",
    "read_at": "2026-06-08T16:08:01+01:00",
    "data": {
      "title": "notification-title",
      "description": "notification-description",
      "model_uuid": "ef845859-ad81-4840-acde-d64ff98f3066",
      "model_type": "firm"
    },
    "type": "App/Notifications/AppNotification",
    "notifiable": {
      "uuid": "ebc8c2b9-7649-4390-b0b8-5acaed4e4ab1",
      "created_at": "2026-06-08T16:08:01+01:00",
      "updated_at": "2026-06-08T16:08:01+01:00",
      "type": "client",
      "role": "client",
      "first_name": "Gareth",
      "last_name": "Thompson",
      "name": "Gareth Thompson",
      "email": "gareth@codepotato.co.uk",
      "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
      "firm": "App\\Http\\Resources\\FirmResource",
      "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
      "primary_email": "App\\Http\\Resources\\ContactDetailResource",
      "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
      "assigned_adviser": "App\\Http\\Resources\\AccountResource",
      "assigned_administrator": "App\\Http\\Resources\\AccountResource",
      "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
      "introduced_by": "App\\Http\\Resources\\AccountResource",
      "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
      "groups": "App\\Http\\Resources\\GroupResource",
      "tags": "App\\Http\\Resources\\TagResource",
      "owners": "App\\Http\\Resources\\AccountResource",
      "first_contact_date": "2026-06-08T16:08:01+01:00",
      "next_review_date": "2026-06-08T16:08:01+01:00",
      "previous_review_date": "2026-06-08T16:08:01+01:00",
      "anniversary_review_date": "2026-06-08T16:08:01+01:00",
      "terms_of_business_at": "2026-06-08T16:08:01+01:00",
      "client_agreement_at": "2026-06-08T16:08:01+01:00",
      "with_login": true,
      "has_joint_account": true,
      "can_be_deleted": "false",
      "joint_account_circle": "App\\Http\\Resources\\CircleResource",
      "circles": "App\\Http\\Resources\\CircleResource",
      "ownership_percentage": 100,
      "inactive_at": "2026-06-08",
      "last_interaction_at": "2026-06-08 16:08:01",
      "referral_code": "ABC12345",
      "permissions": {
        "firm:read": [
          "firm"
        ],
        "network:read": [
          "network:uuid"
        ]
      },
      "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
      "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
    },
    "triggered_by": {
      "uuid": "5033b2b2-e661-4b7c-99b2-936e2d732307",
      "created_at": "2026-06-08T16:08:01+01:00",
      "updated_at": "2026-06-08T16:08:01+01:00",
      "type": "client",
      "role": "client",
      "first_name": "Gareth",
      "last_name": "Thompson",
      "name": "Gareth Thompson",
      "email": "gareth@codepotato.co.uk",
      "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
      "firm": "App\\Http\\Resources\\FirmResource",
      "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
      "primary_email": "App\\Http\\Resources\\ContactDetailResource",
      "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
      "assigned_adviser": "App\\Http\\Resources\\AccountResource",
      "assigned_administrator": "App\\Http\\Resources\\AccountResource",
      "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
      "introduced_by": "App\\Http\\Resources\\AccountResource",
      "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
      "groups": "App\\Http\\Resources\\GroupResource",
      "tags": "App\\Http\\Resources\\TagResource",
      "owners": "App\\Http\\Resources\\AccountResource",
      "first_contact_date": "2026-06-08T16:08:01+01:00",
      "next_review_date": "2026-06-08T16:08:01+01:00",
      "previous_review_date": "2026-06-08T16:08:01+01:00",
      "anniversary_review_date": "2026-06-08T16:08:01+01:00",
      "terms_of_business_at": "2026-06-08T16:08:01+01:00",
      "client_agreement_at": "2026-06-08T16:08:01+01:00",
      "with_login": true,
      "has_joint_account": true,
      "can_be_deleted": "false",
      "joint_account_circle": "App\\Http\\Resources\\CircleResource",
      "circles": "App\\Http\\Resources\\CircleResource",
      "ownership_percentage": 100,
      "inactive_at": "2026-06-08",
      "last_interaction_at": "2026-06-08 16:08:01",
      "referral_code": "ABC12345",
      "permissions": {
        "firm:read": [
          "firm"
        ],
        "network:read": [
          "network:uuid"
        ]
      },
      "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
      "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
    }
  },
  "type": "App/Notifications/AppNotification",
  "notifiable": {
    "uuid": "c3f0f40a-9449-4e33-8b59-ffb9c583262d",
    "created_at": "2026-06-08T16:08:01+01:00",
    "updated_at": "2026-06-08T16:08:01+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "firm": "App\\Http\\Resources\\FirmResource",
    "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
    "primary_email": "App\\Http\\Resources\\ContactDetailResource",
    "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
    "assigned_adviser": "App\\Http\\Resources\\AccountResource",
    "assigned_administrator": "App\\Http\\Resources\\AccountResource",
    "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
    "introduced_by": "App\\Http\\Resources\\AccountResource",
    "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
    "groups": "App\\Http\\Resources\\GroupResource",
    "tags": "App\\Http\\Resources\\TagResource",
    "owners": "App\\Http\\Resources\\AccountResource",
    "first_contact_date": "2026-06-08T16:08:01+01:00",
    "next_review_date": "2026-06-08T16:08:01+01:00",
    "previous_review_date": "2026-06-08T16:08:01+01:00",
    "anniversary_review_date": "2026-06-08T16:08:01+01:00",
    "terms_of_business_at": "2026-06-08T16:08:01+01:00",
    "client_agreement_at": "2026-06-08T16:08:01+01:00",
    "with_login": true,
    "has_joint_account": true,
    "can_be_deleted": "false",
    "joint_account_circle": "App\\Http\\Resources\\CircleResource",
    "circles": "App\\Http\\Resources\\CircleResource",
    "ownership_percentage": 100,
    "inactive_at": "2026-06-08",
    "last_interaction_at": "2026-06-08 16:08:01",
    "referral_code": "ABC12345",
    "permissions": {
      "firm:read": [
        "firm"
      ],
      "network:read": [
        "network:uuid"
      ]
    },
    "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  },
  "triggered_by": {
    "uuid": "79412c79-83ec-486f-b0b1-54cdb7453ed6",
    "created_at": "2026-06-08T16:08:01+01:00",
    "updated_at": "2026-06-08T16:08:01+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "firm": "App\\Http\\Resources\\FirmResource",
    "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
    "primary_email": "App\\Http\\Resources\\ContactDetailResource",
    "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
    "assigned_adviser": "App\\Http\\Resources\\AccountResource",
    "assigned_administrator": "App\\Http\\Resources\\AccountResource",
    "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
    "introduced_by": "App\\Http\\Resources\\AccountResource",
    "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
    "groups": "App\\Http\\Resources\\GroupResource",
    "tags": "App\\Http\\Resources\\TagResource",
    "owners": "App\\Http\\Resources\\AccountResource",
    "first_contact_date": "2026-06-08T16:08:01+01:00",
    "next_review_date": "2026-06-08T16:08:01+01:00",
    "previous_review_date": "2026-06-08T16:08:01+01:00",
    "anniversary_review_date": "2026-06-08T16:08:01+01:00",
    "terms_of_business_at": "2026-06-08T16:08:01+01:00",
    "client_agreement_at": "2026-06-08T16:08:01+01:00",
    "with_login": true,
    "has_joint_account": true,
    "can_be_deleted": "false",
    "joint_account_circle": "App\\Http\\Resources\\CircleResource",
    "circles": "App\\Http\\Resources\\CircleResource",
    "ownership_percentage": 100,
    "inactive_at": "2026-06-08",
    "last_interaction_at": "2026-06-08 16:08:01",
    "referral_code": "ABC12345",
    "permissions": {
      "firm:read": [
        "firm"
      ],
      "network:read": [
        "network:uuid"
      ]
    },
    "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  }
}